<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                            <span class="h2 font-weight-bold mb-0">Recapitulation Lecturer</span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-user-astronaut"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <h3 class="mb-0">Data</h3>
                        </div>
                        <div class="card-body">
                            <form method="get">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group text-center">
                                            <label>Dari Tanggal</label>
                                            <div class="form-group">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text"><i
                                                                class="ni ni-calendar-grid-58"></i></span>
                                                    </div>
                                                    <input class="form-control" placeholder="Start date" name="masuk"
                                                        type="date" th:value="${masuk}">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group text-center">
                                            <label>Sampai Tanggal</label>
                                            <div class="form-group">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text"><i
                                                                class="ni ni-calendar-grid-58"></i></span>
                                                    </div>
                                                    <input class="form-control" th:value="${selesai}"
                                                        placeholder="Start date" type="date" name="selesai">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 text-center">
                                        <button type="submit" class="btn btn-info">Search</button>
                                    </div>
                                    <br><br><br>
                                    <div th:if="${masuk != null}" class="col-md-12 text-center">
                                        <a th:href="@{/rekap/salary/download(masuk=${masuk}, selesai=${selesai})}" class="btn btn-success"><i class="fa fa-download"></i> Download</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="card-footer" th:if="${masuk != null}">
                            <div class="table-responsive">
                                <table id="table" data-filter-control="true" data-search="true" data-show-refresh="true"
                                    data-flat="true" data-pagination="true"
                                    th:attr="data-url=@{/rekap-salary(masuk=${masuk}, selesai=${selesai})}"
                                    data-side-pagination="client">
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>
<link href="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.css" rel="stylesheet">
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.js"></script>
<script
    src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/filter-control/bootstrap-table-filter-control.min.js">
</script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/auto-refresh/bootstrap-table-auto-refresh.min.js">
</script>
<script>
    var $table = $('#table')

    $(function () {
        $table.bootstrapTable({
            columns: [{
                field: 'nama',
                title: 'Dosen',
                sortable: true,
                align: 'center',
                valign: 'middle'
            }, {
                title: 'Matakuliah',
                field: 'matkul',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'SKS',
                field: 'sks',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Kelas',
                field: 'kelas',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Offline',
                field: 'offline',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Online',
                field: 'online',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Tidak Masuk',
                field: 'abstain',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: '#',
                field: 'html',
                align: 'center',
                valign: 'middle'
            }]
        })
    })
</script>